Bug 486113 - Default MTU value too Large
Default MTU value too Large
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vpnc (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 09:39 EST by Giray Devlet
Modified: 2009-12-18 02:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:57:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giray Devlet 2009-02-18 09:39:47 EST
Description of problem:
The MTU value of 1412 causes traffic over the VPN tunnel to 
"freeze" at some locations.   

Version-Release number of selected component (if applicable):
vpnc 0.5.3

How reproducible:
Works every time at a location where the ISP has a lower MTU setting.

Steps to Reproduce:
1. Establish VPN Connection
2. Try any kind of network activity (ssh / http / dns)
3. See connection hang and timeout
4. VPN connection does not get disconnected 

Fix MTU value (to 1390)... problem is resolved. Ubuntu
seems to have this hardcoded in /etc/vpnc/vpnc-script


Actual results:
data transfer hangs.


Expected results:
data transfer works.

Additional info:
From: 	Giray Devlet <giray.devlet@bitbrains.nl>
Reply-to: 	vpnc list to send bug reports and discussions with developers <vpnc-devel@unix-ag.uni-kl.de>
To: 	Francois Cami <fcami@winsoft.fr>
Cc: 	vpnc list to send bug reports and discussions with developers <vpnc-devel@unix-ag.uni-kl.de>
Subject: 	Re: [vpnc-devel] ssh freezing
Date: 	Wed, 18 Feb 2009 15:26:29 +0100
Mailer: 	Evolution 2.24.3 (2.24.3-1.fc10) 
Sender: 	vpnc-devel-bounces@unix-ag.uni-kl.de	
 

 
 
Hi François, 

Thank you ... Interestingly enough everyone claims not to have changed anything, but the MTU
setting indeed solved the issue.

On fedora setting MTU from "MTU=1412" to "MTU=1390" in /etc/vpnc/vpnc- script

The ubuntu boxes seem to have it in it already ...

Best Regards, 
Giray
 
On Tue, 2009-02-17 at 17:03 +0100, Francois Cami wrote: 
Giray,
> 
> That looks like a MTU/PMTUD problem.
> Are you blocking ICMP type 3 at the problematic site ?
> 
> Cheers
> 
> François
> 
> 
> 2009/2/17 Giray Devlet <giray.devlet@bitbrains.nl>:
> > Hi,
> >
> >   I have an interesting problem ...  two seperate Fedora 10 boxes,  one with
> > Fedora 8, and one
> > Ubuntu box. Location 'B' has a Fedora 10 box
> >
> > All with vpnc 0.5.3 and similiar installations. They all connect to Cisco
> > VPN 3000 boxes ... (two seperate boxes
> > in two seperate data centers)
> >
> > The two Fedora boxes in Location A, connect but ssh connections "freeze"
> > after a bit of data
> > has flown ... (think 'ls').  The rest of the boxes do not have this issue. I
> > however am able to login, and
> > logout ... or when the ssh is frozen open up login from another terminal via
> > ssh.
> >
> > It also does not seem to be only SSH but any data connection (did a telnet
> > on port 80 and then a GET /)
> >
> > The issue seems very location specific, since I cannot replicate the issue
> > anywhere else.
> >
> > Am open to any suggestion, any way to debug the problem ...
> >
> > tia
> >
> > [root@puma ~]# vpnc --version
> > vpnc version 0.5.3
> > Copyright (C) 2002-2006 Geoffrey Keating, Maurice Massar, others
> > vpnc comes with NO WARRANTY, to the extent permitted by law.
> > You may redistribute copies of vpnc under the terms of the GNU General
> > Public License.  For more information about these matters, see the files
> > named COPYING.
> > Built without openssl (certificate) support.
> >
> > Supported DH-Groups: nopfs dh1 dh2 dh5
> > Supported Hash-Methods: md5 sha1
> > Supported Encryptions: null des 3des aes128 aes192 aes256
> > Supported Auth-Methods: psk psk+xauth
> > [root@puma ~]#
> >
> > Best Regards,
> > Giray
> > _______________________________________________
> > vpnc-devel mailing list
> > vpnc-devel@unix-ag.uni-kl.de
> > https://lists.unix-ag.uni-kl.de/mailman/listinfo/vpnc-devel
> > http://www.unix-ag.uni-kl.de/~massar/vpnc/
> >
Comment 1 Giray Devlet 2009-02-19 03:49:27 EST
Editing /etc/vpnc/vpnc-script has no effect on NetworkManager
Comment 2 Fedora Admin XMLRPC Client 2009-05-26 04:52:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2009-11-18 06:08:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:57:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.